DataFormReported Class Reference

`#include <dataformreported.h>`

Inheritance diagram for DataFormReported:
[legend]

## Public Member Functions

| DataFormReported ()
| DataFormReported (Tag *tag)
virtual | ~DataFormReported ()
virtual Tag * | tag () const
Public Member Functions inherited from DataFormFieldContainer
| DataFormFieldContainer ()
| DataFormFieldContainer (const DataFormFieldContainer &dffc)
virtual | ~DataFormFieldContainer ()
bool | hasField (const std::string &field) const
DataFormField * | field (const std::string &field) const
FieldList & | fields ()
const FieldList & | fields () const
virtual void | setFields (FieldList &fields)
virtual void | addField (DataFormField *field)
DataFormField * | addField (DataFormField::FieldType type, const std::string &name, const std::string &value=EmptyString, const std::string &label=EmptyString)

## Additional Inherited Members

Public Types inherited from DataFormFieldContainer
typedef std::list< DataFormField * > | FieldList

## Detailed Description

An abstraction of a <reported> element in a XEP-0004 Data Form of type result.

There are some constraints regarding usage of this element you should be aware of. Check XEP-0004 section 3.4. This class does not enforce correct usage at this point.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.7

Definition at line 33 of file dataformreported.h.

## Constructor & Destructor Documentation

## DataFormReported() [1/2]

DataFormReported | ( |  | ) |

Creates an empty 'reported' element you can add fields to.

Definition at line 21 of file dataformreported.cpp.

## DataFormReported() [2/2]

DataFormReported | ( | Tag * | tag | ) |

Creates a 'reported' element and fills it with the 'field' elements contained in the given Tag. The Tag's root element must be a 'reported' element. Its child element should be 'field' elements.

Parameters

  tag | The tag to read the 'field' elements from.

Since
  0.8.5

Definition at line 25 of file dataformreported.cpp.

## ~DataFormReported()

~DataFormReported | ( |  | ) |

virtual

Virtual destructor.

Definition at line 39 of file dataformreported.cpp.

## Member Function Documentation

## tag()

Tag * tag | ( |  | ) | const

virtual

Creates and returns a Tag representation of the current object.

Returns
  A Tag representation of the current object.

Definition at line 43 of file dataformreported.cpp.

The documentation for this class was generated from the following files:

- dataformreported.h
- dataformreported.cpp